services:
  ansible:
    build: .
    container_name: ansible
    image: ansible
    environment:
      - ANSIBLE_HOST_KEY_CHECKING=false
      - ANSIBLE_PYTHON_INTERPRETER=/usr/bin/python3.12
    volumes:
      - .:/ansible
      - ./keys:/root/.ssh
    working_dir: /ansible
    entrypoint: ["/bin/sh", "-c"]
    command: ["tail -f /dev/null"]